gruntConfig =
  clean: require './clean'
  coffee: require './coffee'
  browserify: require './browserify'
  uglify: require './uglify'
  cssmin: require './cssmin'
  env: require './test/env'
  instrument: require './test/instrument'
  mochaTest: require './test/mocha-test'
  storeCoverage: require './test/store-coverage'
  makeReport: require './test/make-report'
  watch: require './watch'

module.exports = (grunt, iced = false) ->

  # map instrument task to grunt-istanbul
  mapping =
    instrument: 'grunt-istanbul'

  # load iced-coffee for .coffee files when iced is not false
  if iced
    mapping.coffee = 'grunt-iced-coffee'

  # load just-in-time plugin loader
  require('jit-grunt')(grunt, mapping)
  return gruntConfig