describe 'Test on CSS', ->
  it 'should have font-size on body', ->
    $body = $('body')
    expect($body).to.have.$css('font-size', '20px')

describe 'Test on click', ->
  it 'should append new div', ->
    @setFixtures '<input type="button" class="test-button"/>'
    G4.boilerPlate()
    $button = $('.test-button')
    $button.trigger 'click'
    $afterClick = $('#after-click')
    expect($afterClick).to.have.length 1

describe 'Test on Marionette', ->
  it 'should append new div', ->
    @setFixtures '<input type="button" class="test-button-marionette"/>'
    view = new Marionette.G4.BoilerPlate
    $button = $('.test-button-marionette')
    $button.trigger 'click'
    $afterClick = $('#after-click-marionette')
    expect($afterClick).to.have.length 1
