fs = require 'fs'
path = require 'path'
sinon = require 'sinon'
$ = require 'jquery'

$fixtures = $ '#fixtures'

setFixtures = ->
  _.each arguments,  (content) ->
    $fixtures.append content

clearFixtures = ->
  $fixtures.empty()

before ->
  this.setFixtures   = setFixtures
  this.clearFixtures = clearFixtures

beforeEach ->
  this.sinon = sinon.sandbox.create()

afterEach ->
  this.sinon.restore()
  window.location.hash = ''
  Backbone.history.stop()
  Backbone.history.handlers.length = 0
  clearFixtures()