module.exports =
  unit:
    options:
      require: 'test/dist/unit/setup/node.js'
      reporter: 'spec'
      clearRequireCache: true,
      mocha: require('mocha')
    src: [
      '!test/dist/unit/setup/node.js',
      '!test/dist/unit/setup/require_helper.js',
      'test/dist/unit/setup/helpers.js',
      'test/dist/unit/index.js'
    ]
  functional:
    options:
      reporter: 'spec'
      timeout: 10000
    src: [
      'test/dist/functional/**/*.js',
      '!test/dist/functional/setup/index.js'
    ]

  checkWd:
    options:
      reporter: 'spec'
      timeout: 10000
      grep:"checkWd"
    src: [
      'test/dist/functional/**/*.js',
      '!test/dist/functional/setup/index.js'
    ]
