istanbul = ['clean:coverage', 'env:coverage', 'instrument', 'mochaTest:unit', 'mochaTest:functional', 'storeCoverage', 'makeReport']

module.exports =
  grunt:
    files: ['Gruntfile.coffee', 'grunt/**/*.*']
    options:
      reload: true
  test:
    files: ['test/src/**/*.coffee']
    tasks: ['clean:dist', 'clean:test', 'coffee:test', 'cssmin:build'].concat(istanbul).concat(['uglify:module', 'cssmin:dist'])
  module:
    files: ['src/**/*.coffee']
    tasks: ['clean:module', 'browserify:module', 'cssmin:build'].concat(istanbul).concat(['uglify:module', 'cssmin:dist'])
  css:
    files: ['src/**/*.css']
    tasks: ['clean:dist','cssmin:build'].concat(istanbul).concat(['uglify:module','cssmin:dist'])