chai = require 'chai'
chaiJq = require 'chai-jq'
requireHelper = require './require_helper'

chai.use chaiJq

global.expect = chai.expect

if !global.document or !global.window
  jsdom = require('jsdom').jsdom

  global.document = jsdom('<html>'+
    '<head>'+
      '<link rel="stylesheet" href="../../../../build/style.min.css">'+
    '</head>'+
    '<body>'+
      '<div id="fixtures"></div>'+
    '</body>'+
    '</html>', null, {
    FetchExternalResources   : ['script'],
    ProcessExternalResources : ['script'],
    MutationEvents           : '2.0',
    QuerySelector            : false
  })

  global.window = document.parentWindow
  global.navigator = global.window.navigator

  global.window.Node.prototype.contains = (node) ->
    return this.compareDocumentPosition(node) & 16

global.$ = global.jQuery = require 'jquery'
global._ = require 'underscore'
global.Backbone = require 'backbone'
global.Backbone.$ = global.$
global.Marionette = Backbone.Marionette = require 'backbone.marionette'
global.slice = Array.prototype.slice

global.G4 =
  boilerPlate: requireHelper 'index'